module.exports = pkg => {
  const prompts = [
    {
      name: 'addExample',
      type: 'confirm',
      message: '是否添加示例组件到项目components目录？',
      default: false
    }
  ]

  // 添加动态对话
  if ('@vue/cli-plugin-eslint' in (pkg.devDependencies || {})) {
    prompts.push({
      type: 'confirm',
      name: 'useESLintPluginVueI18n',
      message: 'Use ESLint plugin for Vue I18n ?'
    })
  }

  return prompts
}
